Autor Tópico: Erro de atualização  (Lida 26548 vezes)

Offline irtigor

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 4.344
  • Delete, delete, delete!
    • Ver perfil
Re: Erro de atualização
« Resposta #30 Online: 24 de Julho de 2012, 18:15 »
...
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libopengl.so' : libGL.so.1: cannot open shared object file: No such file or directory
...

Isso você resolve reinstalando o pacote. Pelo terminal

Código: [Selecionar]
sudo apt-get install --reinstall compiz-plugins-default

Offline Rafael431168

  • Usuário Ubuntu
  • *
  • Mensagens: 65
    • Ver perfil
Re: Erro de atualização
« Resposta #31 Online: 24 de Julho de 2012, 22:34 »
Boa noite.

Digitei o comando "sudo apt-get install --reinstall compiz-plugins-default", o pacote foi reinstalado.

Aí resetei o ubuntu e fiz o seguite:

"sudo apt-get update"

depois digitei no terminal:

rafael@Rafael-Rosana:~$ unity

e a resposta segue abaixo.

unity-panel-service: nenhum processo localizado
Checking if settings need to be migrated ...no
Checking if internal files need to be migrated ...no
Backend     : gconf
Integration : true
Profile     : unity
Adding plugins
Initializing core options...done
Initializing composite options...done
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libopengl.so' : libGL.so.1: cannot open shared object file: No such file or directory
compiz (core) - Error: Couldn't load plugin 'opengl'
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libcompiztoolbox.so' : libGL.so.1: cannot open shared object file: No such file or directory
compiz (core) - Error: Couldn't load plugin 'compiztoolbox'
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libdecor.so' : libGL.so.1: cannot open shared object file: No such file or directory
compiz (core) - Error: Couldn't load plugin 'decor'
Initializing vpswitch options...done
Initializing snap options...done
Initializing mousepoll options...done
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libresize.so' : libGL.so.1: cannot open shared object file: No such file or directory
compiz (core) - Error: Couldn't load plugin 'resize'
Initializing place options...done
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libmove.so' : libGL.so.1: cannot open shared object file: No such file or directory
compiz (core) - Error: Couldn't load plugin 'move'
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libwall.so' : libGL.so.1: cannot open shared object file: No such file or directory
compiz (core) - Error: Couldn't load plugin 'wall'
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libgrid.so' : libGL.so.1: cannot open shared object file: No such file or directory
compiz (core) - Error: Couldn't load plugin 'grid'
Initializing session options...done
Initializing gnomecompat options...done
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libanimation.so' : libGL.so.1: cannot open shared object file: No such file or directory
compiz (core) - Error: Couldn't load plugin 'animation'
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libfade.so' : libGL.so.1: cannot open shared object file: No such file or directory
compiz (core) - Error: Couldn't load plugin 'fade'
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libunitymtgrabhandles.so' : libGL.so.1: cannot open shared object file: No such file or directory
compiz (core) - Error: Couldn't load plugin 'unitymtgrabhandles'
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libworkarounds.so' : libGL.so.1: cannot open shared object file: No such file or directory
compiz (core) - Error: Couldn't load plugin 'workarounds'
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libscale.so' : libGL.so.1: cannot open shared object file: No such file or directory
compiz (core) - Error: Couldn't load plugin 'scale'
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libexpo.so' : libGL.so.1: cannot open shared object file: No such file or directory
compiz (core) - Error: Couldn't load plugin 'expo'
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libezoom.so' : libGL.so.1: cannot open shared object file: No such file or directory
compiz (core) - Error: Couldn't load plugin 'ezoom'
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libunityshell.so' : libGL.so.1: cannot open shared object file: No such file or directory
compiz (core) - Error: Couldn't load plugin 'unityshell'
Setting Update "main_menu_key"
Setting Update "run_key"

nesse ponto a tela piscou duas vezes, as janelas ficaram sem a barra de título ou os botões da barra e não podem mais ser movidos nem com atalhos de teclado.

Eu também estava usando o modo "gnome classic(No effects)" e deṕois disso tudo referente ao gerenciador de janelas sumiu!

fiquei perdidin...

e agora?
  ???

Offline irtigor

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 4.344
  • Delete, delete, delete!
    • Ver perfil
Re: Erro de atualização
« Resposta #32 Online: 25 de Julho de 2012, 15:11 »
Você tem instalado um pacote com versão incompatível. PPA's? Desabilite-os. Rode "sudo apt-get install --reinstall ubuntu-desktop", em seguida (reset do unity e compiz): http://ubuntued.info/como-fazer-reset-ao-unity

Só vai funcionar se ele for removido.

Offline Rafael431168

  • Usuário Ubuntu
  • *
  • Mensagens: 65
    • Ver perfil
Re: Erro de atualização
« Resposta #33 Online: 25 de Julho de 2012, 18:36 »
boa noite

perdoe a ignorância mas...

como faço isso???

 ??? ??? ???

Offline Rafael431168

  • Usuário Ubuntu
  • *
  • Mensagens: 65
    • Ver perfil
Re: Erro de atualização
« Resposta #34 Online: 26 de Julho de 2012, 09:47 »
Consegui!!!

Recuperei o lançador do Unity reinstalando o lançador Unity-2d através do localizador de pacotes débian.

1 - Pesquisei a palavra Unity.

2 - digitei no terminal: "sudo apt-get -f aptitude"

3 - cliquei com o botão direito sobre todos os pacotes localizados referentes ao unity e copiei as linhas de comando de instalação.

4 - colei as linhas no terminal tendo o cuidado de escrever "sudo " antes do comando aptitude"

5 - reiniciei o ubuntu e entrei no modo ubuntu-2d (Um dos pacotes instalados no terminal foi o "Unity-2d Launcher")

6 - para finalizar digitei: "sudo apt-get update"

e aí tudo voltou ao normal!

 :D  :D  :D